Update a private location
https://{kibana_url}
- PUT /api/synthetics/private_locations/{id}
- PUT /s/{space_id}/api/synthetics/private_locations/{id}
Refer to Spaces for more information.
Update an existing private location's label or agent policy.
You must have all privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.
When a private location's label is updated, all monitors using this location will also be updated to maintain data consistency.
When a private location's agent policy is changed, the package policies of all monitors using this location are deleted and recreated on the new agent policy. Monitors stop running on the previous agents until agents on the new policy pick them up. The new agent policy must be available in all spaces of the private location and must not be used by another private location.
Path Parameters
-
idstringrequired -
The unique identifier of the private location to be updated.
Request
-
agentPolicyIdstring · min: 1 -
The ID of the Fleet agent policy to move the private location to.
-
labelstring · min: 1 -
A new label for the private location. Must be at least 1 character long.
Responses
A successful response.
-
agentPolicyIdstring -
The ID of the agent policy associated with the private location.
-
geoobject -
Geographic coordinates (WGS84) for the location.
-
idstring -
The unique identifier of the private location.
-
isInvalidboolean -
Indicates whether the location is invalid. If
true, the location is invalid, which means the agent policy associated with the location is deleted. -
labelstring -
A label for the private location.
-
namespacestring -
The namespace of the location, which is the same as the namespace of the agent policy associated with the location.
If the label is shorter than 1 character, or the agentPolicyId is not available in the current space, does not cover all spaces of the private location, or is already used by another private location, the API will return a 400 Bad Request response with a corresponding error message.
If the private location with the specified ID does not exist, the API will return a 404 Not Found response.